using AlienAttack.MonoGame.Textures;

namespace AlienAttack.MonoGame.Things.Bullets;

public class MinigunBulletLarge : Bullet
{
    public const int Width = 9;
    public const int Height = 27;

    protected override string TextureName => TextureNames.Bullets.MinigunLarge;

    public MinigunBulletLarge(float x, float y, float xVel, float yVel, Sprite owner) : base(x, y, xVel, yVel, owner)
    {
        Origin = new(Width / 2, Height / 2);
        BoundBox = new(0, 0, Width, Height);
        Damage = 3;
    }
}